//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;

namespace CommunityServer.ControlPanel.Controls
{
	/// <summary>
	/// Summary description for ResourceLabel.
	/// </summary>
	public class ResourceLabel : CommunityServer.Controls.ResourceLabel 
	{
		/// <summary>
		/// Gets or sets the name of the resource file to pull from
		/// </summary>
		[
		Bindable(true),
		Category( "Appearance" ),
		Description( "Gets or sets the name of the resource file." ),
		DefaultValue( "ControlPanelResources.xml" ),
		]
		public override String ResourceFile 
		{
			get 
			{
				Object state = ViewState["ResourceFile"];
				if ( state != null ) 
				{
					return (String)state;
				}
				return "ControlPanelResources.xml";
			}
			set 
			{
				ViewState["ResourceFile"] = value;
			}
		}
	}
}
